﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using Android.App;
using Android.Content;
using Android.OS;
using Android.Runtime;
using Android.Views;
using Android.Util;
using Android.Widget;
using Telerik.XamarinForms.InputRenderer.Android;
using Telerik.XamarinForms.Input;
using TelerikXamarin.Android;
using Android.Graphics;
using Com.Telerik.Widget.Calendar;
using Com.Telerik.Widget.Calendar.Dayview;
using Com.Telerik.Widget.Calendar.Decorations;
using Com.Telerik.Widget.Calendar.Events;
using Xamarin.Forms.Platform.Android;

[assembly: Xamarin.Forms.ExportRenderer(typeof(RadCalendar), typeof(DayViewCalendarRenderer))]

namespace TelerikXamarin.Android
{
    public class DayViewCalendarRenderer : CalendarRenderer
    {
        public override bool TrySetViewMode(Telerik.XamarinForms.Input.CalendarViewMode view, bool isAnimated)
        {
            bool hasNavigated = base.TrySetViewMode(view, isAnimated);
            var background = Color.White;

            if (view == Telerik.XamarinForms.Input.CalendarViewMode.Day && hasNavigated && Control.DayView != null)
            {
               
                Control.DayView.DayEventsViewStyle.StartTime = 3600 * 8 * 1000;
                Control.DayView.DayEventsViewStyle.EndTime = 3600 * 22 * 1000;
                Control.DayView.DayEventsViewStyle.TimeLinesInterval = Convert.ToInt64(3600*250);
                Control.DayView.DayEventsViewStyle.TimeLinesColor = Color.Red;
                Control.DayView.DayEventsViewStyle.TimeLabelFormat = new Java.Text.SimpleDateFormat("hh:mm");

                Control.DayView.AllDayEventsViewStyle.AllDayTextIsVisible = false;
            }

            return hasNavigated;
        }
    }
}