﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using Foundation;
using UIKit;
using Telerik.XamarinForms.InputRenderer.iOS;
using TelerikUI;
using Telerik.XamarinForms.Input;
using TelerikXamarin.iOS;
using Xamarin.Forms;

[assembly: ExportRenderer(typeof(RadCalendar), typeof(DayViewCalendarRenderer))]
namespace TelerikXamarin.iOS
{
    public class DayViewCalendarRenderer : CalendarRenderer
    {
        public override bool TrySetViewMode(Telerik.XamarinForms.Input.CalendarViewMode view, bool isAnimated)
        {
            bool hasNavigated = base.TrySetViewMode(view, isAnimated);
            var presenter = Control?.Presenter as TKCalendarDayViewPresenter;
            if (presenter != null)
            {
                presenter.DayView.EventsView.Interval = Convert.ToDouble(3600 * 0.25);
                presenter.DayView.EventsView.StartTime = 3600 * 8;
                presenter.DayView.EventsView.EndTime = 3600 * 22;
                presenter.DayView.EventsView.Style.LabelFormatter = new NSDateFormatter { DateFormat = "hh:mm" };

                presenter.DayView.EventsView.UpdateLayout();
             
            }

            return hasNavigated;
        }
    }
}